Discoveries
Cancel discovery sessions
Cancels the running session of each discovery, given discovery IDs. Sessions still queued are cancelled before running ones, so cancelling a running session never starts a queued one that is also being cancelled. The request is refused, and nothing is cancelled, if any discovery isn't running or its session is just starting on its daemon.
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Request Body
application/json
IDs of the discoveries whose sessions to cancel
TypeScript Definitions
Use the request body type in TypeScript.
[index: integer]?string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/discoveries/bulk-cancel" \ -H "Content-Type: application/json" \ -d '[ "497f6eca-6276-4993-bfeb-53cbbbba6f08" ]'{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"data": {},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}{
"meta": {
"api_version": 1,
"server_version": "0.19.6"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}Product names and logos are trademarks of their respective owners. See credits.